Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 06 Jun 2022 04:08:16 +0000

Hi Shehanah Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Dear Sir,

I have a complaint regarding your click and collect service.

I purchased online from.max website and ask to pick and collect from store al wahda mall. 

And since all signs are well indicated in the store, i estimate that pick and collect point should be reserved for online payment and not waiting a long queue for 30 minutes with all people who want to purchase.

Furthermore, I asked to try the item on spot and return it directly if necessary but the staff said i should wait for 24 h in case i want to return. Why?? Is it also fair to come twice to a store for the same purchase??

Kind regards https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4454420